#22 ez_setup for setuptool

closed-out-of-date
nobody
install (1)
5
2009-07-19
2008-09-14
Anonymous
No

Not everybody has setuptools installed already, so PEAK advise setup.py should start like this:

import ez_setup
ez_setup.use_setuptools()

and of course you need to add a the file to the package: http://peak.telecommunity.com/dist/ez_setup.py

setuptools is automatically installed and that way nobody has to manually download it. Very nice :)

If you don't believe me then check it out yourself at:
http://peak.telecommunity.com/DevCenter/setuptools

Discussion

    • status: open --> closed-out-of-date
     
  • Removed setuptools entirely due to end-user complaints and incompatibilities.